> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Actions

> Get actions by specified filter.



## OpenAPI

````yaml get /api/v3/pendingActions
openapi: 3.0.0
info:
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  title: TON Index (Go)
  contact: {}
  version: 1.1.0
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com/
security: []
paths:
  /api/v3/pendingActions:
    get:
      tags:
        - actions
      summary: Get Pending Actions
      description: Get actions by specified filter.
      operationId: api_v3_get_pending_actions
      parameters:
        - description: >-
            List of account addresses to get actions. Can be sent in hex, base64
            or base64url form.
          name: account
          in: query
          schema:
            type: string
        - description: Find actions by trace external hash
          name: ext_msg_hash
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Supported action types
          name: supported_action_types
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    ActionsResponse:
      type: object
      properties:
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
        address_book:
          $ref: '#/components/schemas/AddressBook'
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    Action:
      type: object
      properties:
        accounts:
          type: array
          items:
            type: string
        action_id:
          type: string
        details: {}
        end_lt:
          type: string
          example: '0'
        end_utime:
          type: integer
        start_lt:
          type: string
          example: '0'
        start_utime:
          type: integer
        success:
          type: boolean
        trace_end_lt:
          type: string
          example: '0'
        trace_end_utime:
          type: integer
        trace_external_hash:
          type: string
        trace_external_hash_norm:
          type: string
        trace_id:
          type: string
        trace_mc_seqno_end:
          type: integer
        transactions:
          type: array
          items:
            type: string
        type:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````